﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinComboDropButtonWidth
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraCombo1.CreationFilter = new MyCreation();
        }
        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");
            table0.Columns.Add("ID", typeof(int));
            table0.Columns.Add("Dosage", typeof(int));
            table0.Columns.Add("Drug", typeof(string));
            table0.Columns.Add("Patient", typeof(string));
            table0.Columns.Add("Date", typeof(DateTime));

            table0.Rows.Add(1, 25, "Indocin", "David", DateTime.Now);
            table0.Rows.Add(2, 50, "Enebrel", "Sam", DateTime.Now);
            table0.Rows.Add(3, 10, "Hydralazine", "Christoff", DateTime.Now);
            table0.Rows.Add(4, 21, "Combivent", "Janet", DateTime.Now);
            table0.Rows.Add(5, 100, "Dilantin", "Melanie", DateTime.Now);


            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);

            return RetDataSet;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
            ultraCombo1.DataSource = GenerateDataSet();
            foreach(UltraGridColumn col in ultraCombo1.DisplayLayout.Bands[0].Columns)
            {
                col.MinWidth = 40;
            }
        }
    }
}
