﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using System.Drawing;

namespace WinComboDropButtonWidth
{
    class MyCreation : IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            EditorWithComboUIElement combo = parent as EditorWithComboUIElement;
            if (combo != null)
            {
                EditorWithComboDropDownButtonUIElement button = (EditorWithComboDropDownButtonUIElement) combo.GetDescendant(typeof(EditorWithComboDropDownButtonUIElement));
                EditorWithTextUIElement text = (EditorWithTextUIElement)combo.GetDescendant(typeof(EditorWithTextUIElement));
                if (text != null && button != null)
                {
                    button.Rect = new Rectangle(new Point(button.Rect.Location.X-20,button.Rect.Location.Y),
                      new Size(40, button.Rect.Height));
                    text.Rect = new Rectangle(text.Rect.Location,
                     new Size(combo.Rect.Width - 50, text.Rect.Height));
                }

            }
            
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;//throw new NotImplementedException();
        }

        #endregion
    }
}
